org.apache.fop.svg

## Class FOPTextHandlerAdapter

- java.lang.Object
- - org.apache.xmlgraphics.java2d.StrokingTextHandler
  - - org.apache.fop.svg.FOPTextHandlerAdapter

- All Implemented Interfaces:
    FOPTextHandler, org.apache.xmlgraphics.java2d.TextHandler
  Direct Known Subclasses:
    AFPTextHandler

      public abstract class FOPTextHandlerAdapter
      extends org.apache.xmlgraphics.java2d.StrokingTextHandler
      implements FOPTextHandler

  The `FOPTextHandlerAdapter` class is an adapter class to permit use of FOPTextHandler without incurring deprecation warnings caused by the underlying org.apache.xmlgraphics.java2d.TextHandler.drawString(String...) method.
  See Also:
    `TextHandler`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPTextHandlerAdapter()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlgraphics.java2d.StrokingTextHandler

      `drawString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.svg.FOPTextHandler

      `getFontInfo, setOverrideFont`

    - ### Methods inherited from interface org.apache.xmlgraphics.java2d.TextHandler

      `drawString`

- - ### Constructor Detail

    - #### FOPTextHandlerAdapter

          public FOPTextHandlerAdapter()

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.